解决Yum安装软件中,mysql-libs依赖错误

发布于 2016-07-28  1.64k 次阅读


Ref:http://my.oschina.net/grail/blog/158517

真是苦恼啊233,这个问题追溯过来的话,我上一年就遇到了。。

只是一直无力解决,主要是主服务器装了DA,许多比较重要的数据都有存放。

然后装了DA以后,MySQL不知道da是以什么方式安装的,当我安装freeradius-mysql这个包时,就会报错。

报错呢,明显少文件嘛,那就找咯。

谷歌半天,说是缺个包,之前好像叫mysql-libs,现在yum貌似找不到这个包了,不知道为啥。。。(也许我记错了)

这个安不上,看了各大论坛,貌似是个普遍问题。。常见的那种。

我这估计是有DA导入的源导致的。

时隔大半年,准备对接V#PN到Freeradius服务器,之前就搭建过,不过由于主VPS没法装上,一直拿其他小鸡装的。。(主要是上次装的时候貌似和mysql-server有冲突,这我就甩锅了,免得把mysql-server玩坏了,数据库爆炸就好玩了。。。

解决Yum安装软件中,mysql-libs依赖错误

现在既然是生产(伪)使用,那么肯定要放到靠谱一点的服咯。。

目前在我看来。。。Linode。。还是比较靠谱的,在这之后还有Vultr等老牌。

搬瓦工,DDoS接到三次,就删机,垃圾邮件三次,就删机,毕竟这价格嘛。。

国人也用过几个服务商,不过经常会遇到,维护,炸鸡,手滑,数据不敢放的。。。

还有ConoHa。。也都是那些,出事容易被Remove的机器。。。

所以又转回Linode了。。。

结果一段时间的谷歌之后,找到了正确姿势:

直接RPM安装MySQL-shared-compat-xxxxx

下载可以在MySQL官网找到,或者直接访问这里(我服务器是5.x的,所以找了相近的,不知道有没有区别):http://dev.mysql.com/downloads/file/?id=462955

rpm -ivh 安装以后,丝滑。

解决Yum安装软件中,mysql-libs依赖错误

完美安装。

解决Yum安装软件中,mysql-libs依赖错误

没有依赖问题咯~


升空的焰火,从下面看还是从侧面看?